{
	saved_FirstTime[0]

	GiveRandomWeapon[ ()
	{
		gun = Random(1,3);
		switch(gun)
		{
			case 1 { GiveWeapon(56); } // MP44
			case 2 { GiveWeapon(53); } // Kar98k
			case 3 { GiveWeapon(55); } // MP40
		}
	}]

	Init[ ()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;

			GiveRandomWeapon();
			SetWalking();
			PlayAnimation(7);

			GoPatrol();
			SetNationality(1);
		}
	}]

	GoPatrol[()
	{
		SetState_Patrol(1);
		SetAttackDistance( 32, 3 );
		SetLineOfSight( 1 );
		SetWander(1);
	}]
}